<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateUrlShortener;
use App\Http\Requests\UpdateUrlShortener;
use App\Models\UrlShortener;

class AdminUrlShortenerController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $urls = UrlShortener::all();

        return view('admin.urls.index', compact('urls'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('admin.urls.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(CreateUrlShortener $request)
    {
        UrlShortener::create($request->validated());

        return redirect()->route('urls.index')->with('success', 'URL created successfully');
    }

    /**
     * Display the specified resource.
     */
    public function show(UrlShortener $urlShortener)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(UrlShortener $url)
    {
        return view('admin.urls.edit', compact('url'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(UpdateUrlShortener $request, $urlId)
    {
        $urlData = UrlShortener::where('id',$urlId)->first();
        $validatedData = $request->validated();
        //dd($validatedData);
        $urlData->update([
            'url' => $validatedData['url'],
            'website' => $validatedData['website'],
        ]);

        return redirect()->route('urls.index')->with('success', 'URL updated successfully');

        //dd($request->validated());
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(UrlShortener $urlShortener)
    {
        $urlShortener->delete();

        return redirect()->route('urls.index')->with('success', 'URL deleted successfully');
    }
}
