<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LiveGame extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'team_names', 'venue', 'start_time', 'team_logos', 'custom_permalinks'];

    public function channel()
    {
        return $this->belongsTo(Channel::class);
    }

     // A LiveGame can be associated with multiple Sports
     public function sports()
     {
         return $this->belongsToMany(Sport::class);
     }
}
