<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Sites extends Model
{
    use HasFactory;
    protected $fillable = [
        'name',
        'is_active',
    ];

    // A Site can have many Channels
    public function channels()
    {
        return $this->hasMany(Channel::class);
    }

    // A Site can be associated with different types of sports
    public function sports()
    {
        return $this->belongsToMany(Sport::class);
    }
}
