<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Subscriber extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'is_active',
    ];

    public function devices()
    {
        return $this->hasMany(Device::class);
    }

    // A Subscriber can watch multiple channels and games
    public function watchedContent()
    {
        return $this->belongsToMany(Channel::class, 'subscriber_channel')
            ->withPivot('position') // Assuming you want to track the position of channels for a subscriber
            ->withTimestamps();
    }
}
