<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Str;

class UrlShortener extends Model
{
    use HasFactory;

    protected $fillable = [
        'url', 'website', 'short_url_id'
    ];

    // Override boot method to generate short_url_id before saving
    protected static function boot()
    {
        parent::boot();

        static::creating(function ($model) {
            // Generate a random Short URL ID using Laravel's uuid helper
            $model->short_url_id = Str::uuid();
        });
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
