<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Api\UrlShortenerController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::group([
    'prefix' => 'v1', 
    'as' => 'api.', 
   // 'middleware' => ['auth:api']
  ], function () {
    Route::post('/create-url', [UrlShortenerController::class, 'createUrl']);
    Route::get('/fetch-url/{shortUrlId}', [UrlShortenerController::class, 'fetchUrl']);
  });


